# $Revision: 1.6.2.8 $, $Date: 2003/04/16 15:10:41 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	AI
%define	pnam	Categorizer
Summary:	AI::Categorizer - automatic text categorization
Summary(pl):	AI::Categorizer - automatyczna klasyfikacja tekstu
Name:		perl-%{pdir}-%{pnam}
Version:	0.05
Release:	3
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
%if 0%{!?_without_tests:1}
BuildRequires:	perl-AI-DecisionTree
BuildRequires:	perl-Algorithm-NaiveBayes
BuildRequires:	perl-Statistics-Contingency
#BuildRequires:	perl-Lingua-Stem
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
"AI::Categorizer" is a framework for automatic text categorization. It
consists of a collection of Perl modules that implement common
categorization tasks, and a set of defined relationships among those
modules. The various details are flexible - for example, you can choose what
categorization algorithm to use, what features (words or otherwise) of the
documents should be used (or how to automatically choose these features),
what format the documents are in, and so on.

%description -l pl
AI::Categorizer to szkielet do automatycznej klasyfikacji tekstu.
Skada si z zestawu moduw Perla z implementacj wsplnych zada
klasyfikujcych oraz zbioru zdefiniowanych relacji midzy tymi
moduami. Rne szczegy s elastyczne - na przykad mona wybra,
jaki algorytm klasyfikacji ma by uyty, ktre wasnoci (sowa czy
inne) dokumentw powinny by wykorzystane (lub jak automatycznie
wybra te cechy), w jakim formacie s dokumenty itd.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"AI::Categorizer", PL_FILES=>{})'
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{perl_sitelib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-AI-Categorizer.spec,v $
Revision 1.6.2.8  2003/04/16 15:10:41  ankry
- rel. 3

Revision 1.6.2.7  2003/04/16 15:09:18  ankry
- nicer Build.PL hack

Revision 1.6.2.6  2003/04/16 12:43:30  ankry
- typo

Revision 1.6.2.5  2003/04/12 22:13:47  ankry
- updated to 0.05

Revision 1.6.2.4  2003/03/13 00:56:38  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.6.2.3  2003/03/13 00:07:55  ankry
- cosmetics

Revision 1.6.2.2  2003/03/10 20:40:09  ankry
- typo

Revision 1.6.2.1  2003/03/10 09:01:29  ankry
- merge ExtUtils::MakeMaker hack from HEAD
- enable tests
- rel. 2

Revision 1.6  2003/02/28 10:08:07  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.5  2003/02/25 00:35:46  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:25:19  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/11/19 17:05:40  mis
- autoupdated to 0.04

Revision 1.2  2002/08/11 01:38:59  qboosh
- pl description, release 2

Revision 1.1  2002/08/03 13:12:16  radek
- new, stbr
